%define name nss_postgresql 
%define version 0.6.1
%define release %mkrel 7

Summary: NSS library for postgresql
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ovh.dl.sourceforge.net/sourceforge/authpgsql/%{name}-%{version}.tar.bz2
Patch0: nss_postgresql_include_path.patch
Patch1: nss_postgresql_lock.patch
License: GPL
Group: System/Libraries
Url: http://www.sourceforge.net/projects/authpgsql
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpq-devel
BuildRequires: postgresql-devel

%description
This library provide the capability to have all classical 
users definitions in a PostgreSQL server instead than in the
old plain text files in /etc passwd,group,shadow.

All is done without any trick or something like, simply 
connecting to the nss (name servica switch) facility 
offered by the libc (2.x) as nis and nisplus already did.

All without recompiling or touching any application 
configurations. Just compile and install nss_postgresql 
library and set up a PostgreSQL server.

%prep
%setup -q
%patch0 -p0 -b .path_include
%patch1 -p0 -b .lock

%build
%make CFLAGS="%optflags -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot/{%_lib,%_sysconfdir}
install -m755 libnss_pgsql.so.2 %buildroot/%_lib/libnss_pgsql.so.2
install -m644 nss-pgsql.conf %buildroot/%_sysconfdir/nss-pgsql.conf
install -m600 nss-pgsql-root.conf %buildroot/%_sysconfdir/nss-pgsql-root.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc sampleschema README* TODO AUTHORS
/%_lib/libnss_pgsql.so.2
%config(noreplace) %_sysconfdir/*.conf






%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.6.1-7.mga4
+ Revision: 508345
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 nanardon <nanardon> 0.6.1-5.mga3
+ Revision: 281184
- patch1: use pthread lock instead libc one (thx misc)

* Sat Aug 11 2012 nanardon <nanardon> 0.6.1-4.mga3
+ Revision: 280549
- imported package nss_postgresql


* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.6.1-4mdv2008.1
+ Revision: 141006
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 21 2007 Michael Scherer <misc@mandriva.org> 0.6.1-4mdv2007.1
+ Revision: 147522
- rebuild for new postgresql
- Import nss_postgresql

* Tue Jan 24 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-3mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-2mdk
- add post/postun

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-1mdk
- Initial mdv package

